# Generated from ulla-0.9.9.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ulla

Name: rubygem-%{gem_name}
Version: 0.9.9.2
Release: 1%{?dist}
Summary: 'ulla' is a program for calculating environment-specific substitution tables from user providing environmental class definitions and sequence alignments with the annotations of the environment classes
License: MIT
URL: http://www-cryst.bioc.cam.ac.uk/ulla
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(newgem) >= 1.5.3
# BuildRequires: rubygem(hoe) >= 3.14
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
'ulla' is a program for calculating environment-specific substitution tables
from user providing environmental class definitions and sequence alignments
with the annotations of the environment classes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ulla
%{gem_instdir}/Manifest.txt
%{gem_instdir}/PostInstall.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/script
%{gem_instdir}/website
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/ulla.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.9.9.2-1
- Initial package
